# initialize log
require 'logger'
Dir.mkdir('log') unless File.exist?('log')
class ::Logger; alias_method :write, :<<; end
case ENV["RACK_ENV"]
when "production"
  logger = ::Logger.new("log/production.log")
  logger.level = ::Logger::WARN
when "development"
  logger = ::Logger.new(STDOUT)
  logger.level = ::Logger::DEBUG
else
  logger = ::Logger.new("/dev/null")
end
# use Rack::CommonLogger, logger

# Sets up database configuration
ActiveRecord::Base.establish_connection YAML::load(File.open('config/database.yml'))[ENV["RACK_ENV"]]
# ActiveRecord::Base.logger = logger
ActiveSupport.on_load(:active_record) do
  self.include_root_in_json = false
  self.default_timezone = :local
  self.time_zone_aware_attributes = false
  self.logger
end

# $LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'app', 'apis'))
# $LOAD_PATH.unshift(File.dirname(__FILE__))

Dir[
    File.expand_path('../lib/*.rb', __FILE__),
    File.expand_path('../app/models/*.rb', __FILE__),
    File.expand_path('../app/v*/api.rb', __FILE__),
    File.expand_path('../app/base.rb', __FILE__)
].each { |f| require f }

ROOT = File.expand_path('../', __FILE__)